Bug 250428 - init fails to start NFS server
init fails to start NFS server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 11:48 EDT by Gregory D. Weber
Modified: 2014-03-16 23:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:03:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar archive of dmesg output, excerpts from /var/log/messages, and NFS config files (70.00 KB, application/x-tar)
2007-08-01 11:48 EDT, Gregory D. Weber
no flags Details

  None (edit)
Description Gregory D. Weber 2007-08-01 11:48:18 EDT
Description of problem:

NFS does not start when the system is booted

NFS fails to start when the system is booted,
although it can be manually started after booting.
It only does not start when the system is booting.

Version-Release number of selected component (if applicable):

[root@moose log]# uname -a
Linux moose 2.6.21-1.3228.fc7 #1 SMP Tue Jun 12 15:37:31 EDT 2007 i686 i686 i386
GNU/Linux

[root@moose log]# rpm -q nfs-utils
nfs-utils-1.0.12-4.fc7

[root@moose log]# rpm -q initscripts
initscripts-8.54.1-1

[root@moose log]# rpm -q rpcbind
rpcbind-0.1.4-6.fc7

How reproducible:


Steps to Reproduce:

1.  Init configuration:

[root@moose log]# chkconfig --list iptables
iptables       	0:off	1:off	2:on	3:off	4:off	5:off	6:off
[root@moose log]# chkconfig --list rpcbind
rpcbind        	0:off	1:off	2:off	3:on	4:on	5:on	6:off
[root@moose log]# chkconfig --list nfs
nfs            	0:off	1:off	2:off	3:on	4:on	5:on	6:off

2.  NFS configuration:

a.  /etc/exports (comments suppressed):

/home          192.168.1.0/255.255.255.0(rw,root_squash,sync)

b.  /etc/hosts.allow (comments suppressed):

ALL: 192.168.1.0/255.255.255.0, 127.0.0.1

c.  /etc/hosts.deny (comments suppressed):

ALL: ALL

3.  Shutdown and reboot system

4.  Boot messages show rpcbind starts, although with some awkwardness:

Jul 15 18:19:06 moose rpcbind: cannot bind * on udp: Address already in use
Jul 15 18:19:06 moose rpcbind: cannot bind tcp: Address already in use

5.  Boot messages show NFS trying to start, failing to contact rpcbind,
and giving up:

Jul 15 18:19:13 moose kernel: Installing knfsd (copyright (C) 1996
okir@monad.swb.de).
Jul 15 18:19:13 moose kernel: NFSD: Using /var/lib/nfs/v4recovery as the NFSv4
state recovery directory
Jul 15 18:19:13 moose kernel: NFSD: starting 90-second grace period
Jul 15 18:19:43 moose kernel: portmap: server localhost not responding, timed out
Jul 15 18:19:43 moose kernel: RPC: failed to contact portmap (errno -5).
Jul 15 18:20:13 moose kernel: portmap: server localhost not responding, timed out
Jul 15 18:20:13 moose kernel: RPC: failed to contact portmap (errno -5).
Jul 15 18:20:43 moose kernel: portmap: server localhost not responding, timed out
Jul 15 18:20:43 moose kernel: RPC: failed to contact portmap (errno -5).
Jul 15 18:20:43 moose kernel: lockd_up: makesock failed, error=-5
Jul 15 18:21:13 moose kernel: portmap: server localhost not responding, timed out
Jul 15 18:21:13 moose kernel: RPC: failed to contact portmap (errno -5).
Jul 15 18:21:13 moose kernel: nfsd: last server has exited
Jul 15 18:21:13 moose kernel: nfsd: unexporting all filesystems
Jul 15 18:21:43 moose nfsd[1778]: nfssvc: Input/output error
Jul 15 18:21:43 moose kernel: portmap: server localhost not responding, timed out
Jul 15 18:21:43 moose kernel: RPC: failed to contact portmap (errno -5).
Jul 15 18:21:43 moose mountd[1797]: unable to register (mountd, 1, udp).

[root@moose log]# service nfs start
Starting NFS services:  [60G[[0;32m  OK  [0;39m]
Starting NFS quotas: [60G[[0;32m  OK  [0;39m]
Starting NFS daemon: [60G[[0;32m  OK  [0;39m]
Starting NFS mountd: [60G[[0;32m  OK  [0;39m]
[root@moose log]# 

6.  After booting up and logging in as root, rpcbind is running,
NFS is not, but can now be started from the shell:

[root@moose log]# service rpcbind status
rpcbind (pid 1605) is running...
[root@moose log]# service nfs status
rpc.mountd is stopped
nfsd is stopped
rpc.rquotad is stopped
[root@moose log]# service nfs start
Starting NFS services:                                     [  OK  ]
Starting NFS quotas:                                       [  OK  ]
Starting NFS daemon:                                       [  OK  ]
Starting NFS mountd:                                       [  OK  ]
[root@moose log]# 

Actual results: NFS did not start during the boot process, but could be
started later, manually.

Expected results: If NFS was properly configured it would start both during
init and could also be started manually.  If NFS was improperly configured
it would start neither during init nor later manually.


Additional info:

1.  A workaround is to place these lines in /etc/rc.d/rc.local

sleep 60
service nfs start

(I don't know if the "sleep 60" is really needed.)

2.  Attachments (in a tar file: description -> name in tar archive)
    dmesg output -> dmesg-output
    excerpt from /var/log/messages -> messages-excerpt
    /etc/exports -> exports
    /etc/hosts.allow -> hosts.allow
    /etc/hosts.deny -> hosts.deny
Comment 1 Gregory D. Weber 2007-08-01 11:48:18 EDT
Created attachment 160423 [details]
tar archive of dmesg output, excerpts from /var/log/messages, and NFS config files
Comment 2 Bug Zapper 2008-05-14 09:49:00 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:03:40 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.